<?php if(!defined('IN_BX')) {exit();} ?>
<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>用户登陆</title>
		<link rel="stylesheet" type="text/css" href="../static/css/bootstrap.min.css" />
		<script src="../static/plugin/iconfont/iconfont.js" type="text/javascript" charset="utf-8"></script>
		<script src="../static/js/jquery.min.js" type="text/javascript" charset="utf-8"></script>
	</head>
	
    <style type="text/css">
    	.icon {
        	width: 1.5em; height: 1.5em;
       		vertical-align: -0.15em;
       		fill: currentColor;
        	overflow: hidden;
   		}
    	.sty{
    		width: 500px;
    		margin: 10% auto;
    	}
    	.but{
    		float: right;
    	}
    	body,button, input, select, textarea,h1 ,h2, h3, h4, h5, h6 { font-family: Microsoft YaHei,'宋体' , Tahoma, Helvetica, Arial, "\5b8b\4f53", sans-serif;}
    </style>
    
	<body style="background-image: url(../static/image/background.png);">
		<?php do_action('admin_login'); ?>
		<div class="card text-center sty">
			<div class="card-header">
				Login
			</div>
			<div class="card-body">			
  <div class="input-group">
    <div class="input-group-addon"><svg class="icon" aria-hidden="true">
    <use xlink:href="#icon-iconfont"></use>
</svg></div>
    <input type="text" class="form-control"  id="username" placeholder="Username">
  </div>
			<br />	
  <div class="input-group">
    <div class="input-group-addon"><svg class="icon" aria-hidden="true">
    <use xlink:href="#icon-mima"></use>
</svg></div>
    <input type="password" class="form-control" id="password" placeholder="Password">
  </div>
  <br />	
  <div class="input-group">
    <div class="input-group-addon"><svg class="icon" aria-hidden="true">
    <use xlink:href="#icon-yanzhengma"></use>
</svg></div>
    <input type="text" class="form-control" id="verifycode" placeholder="Verification Code">
    	<img id="vc" src="../VerifyCode.php" onclick="flushCode();"/>
  </div>
				
			</div>
			<div class="card-footer text-muted">
				<span id="ip">IP地址：<?php echo getip(); ?></span>
				<button  class="btn btn-primary but" onclick="login()" >登录</button>
			</div>
		</div>
	</body>
    <script type="text/javascript">  
        function flushCode(){
			$("#vc").attr("src",this.src='../VerifyCode.php?'+Math.random());
		}
        function login(){
        	if(!$("#username").val()||!$("#password").val()||!$("#verifycode").val()){
				return;
			}
        	$.post("./controller/login.php",{
            username:$("#username").val(),
            password:$("#password").val(),
            verifycode:$("#verifycode").val()
            },
            function(data){
				if(data == "登录成功"){
					location.reload();
				}else{
					alert(data);
					flushCode();
				}

            });
        }
        
        $('#verifycode').keydown(function(e){
       if(e.keyCode==13){
       login();
       }
       });
       

    </script>
    
</html>